# Class: MyTeamComponent

## MyTeamComponent()

Component representing the my-team page.

## Constructor

#### new MyTeamComponent()

Source:
  - frontend/src/components/pages/MyTeam.component.js, line 45

### Extends

- Component

### Members

#### _original_team_name

Original team name to compare against.

Source:
  - frontend/src/components/pages/MyTeam.component.js, line 53

#### bench_players :Array.<object>

Players on the bench.

##### Type:

- Array.<object>

Source:
  - frontend/src/components/pages/MyTeam.component.js, line 91

#### lineup_column_defs :Array.<object>

Column definitions for the starting/bench lineup grids.

##### Type:

- Array.<object>

Source:
  - frontend/src/components/pages/MyTeam.component.js, line 97

#### moving_player :undefined

The player currently being moved. If none, then will be set to undefined.

##### Type:

- undefined

Source:
  - frontend/src/components/pages/MyTeam.component.js, line 78

#### overall_column_defs :Array.<object>

Column definitions for the overall team grid.

##### Type:

- Array.<object>

Source:
  - frontend/src/components/pages/MyTeam.component.js, line 163

#### overall_data :Array.<object>

Data for the overall team grid (list of user's team players).

##### Type:

- Array.<object>

Source:
  - frontend/src/components/pages/MyTeam.component.js, line 190

#### save_text :string

The text next to the save button.

##### Type:

- string

Source:
  - frontend/src/components/pages/MyTeam.component.js, line 65

#### show_body :boolean

If true, the body of the page will be shown. Otherwise, hidden. This is used to refresh the entire component at once.

##### Type:

- boolean

Source:
  - frontend/src/components/pages/MyTeam.component.js, line 72

#### starting_players :Array.<object>

Array of players filling starting line up positions. If no player is in a position, then only the "postition" key will be set.

##### Type:

- Array.<object>

Source:
  - frontend/src/components/pages/MyTeam.component.js, line 85

#### team_name :string

The team name.

##### Type:

- string

Source:
  - frontend/src/components/pages/MyTeam.component.js, line 59

### Methods

#### update()

Force re-render the entire component by briefly hiding it.

Source:
  - frontend/src/components/pages/MyTeam.component.js, line 212

#### (async) vue_on_create() → {Promise.<void>}

Called when the component is instantiated. Initializes the bench players data.

Source:
  - frontend/src/components/pages/MyTeam.component.js, line 196

##### Returns:

Type
  Promise.<void>

#### watch_team_name()

Fired when the team name changes. Marks the data as needing a save.

Source:
  - frontend/src/components/pages/MyTeam.component.js, line 227